\documentclass[landscape]{zettel2}

\geometry{top=1cm, bottom=2cm, left=0.5cm, right=0.5cm, footskip=1cm}

\pagestyle{scrheadings}
\clearpairofpagestyles
\cfoot{-- Abreise Privat --}
\ofoot{\pagemark/\pageref{LastPage}}

\DTLloaddb{abreise-privat-teilnehmende}{teilnehmende-abreise-privat.csv}
\DTLloaddb{abreise-privat-betreuende}{betreuende-abreise-privat.csv}

\begin{document}
    \rowcolors{1}{gray!20}{white}
    \begin{longtable}[l]{|c|c|l|l|l|l|l|l|l|p{4cm}|}
        \hline
        \rowcolor{gray!40}
        && \textbf{Vorname} & \textbf{Nachname} & \multicolumn{3}{|c|}{\textbf{Notfallnummern}} & \textbf{Bemerkung}\\
        \hline
        \endhead
        \noalign\bgroup
        \DTLforeach{abreise-privat-teilnehmende}{%
            \vorname=Vorname,%
            \nachname=Nachname,%
            \telefon=Telefon,%
            \notfallEins=Notfallnummer 1,%
            \notfallZwei=Notfallnummer 2,%
            \notfallDrei=Notfallnummer 3,%
            \bemerkung=Bemerkung%
        }{%
            \egroup \checkbox & \checkbox &
            \vorname & \nachname &
            \notfallEins & \notfallZwei & \notfallDrei &
            \bemerkung\\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{longtable}

    \hspace{1cm} \Large \textbf{Gesamtanzahl: \DTLrowcount{abreise-privat-teilnehmende}}

    \clearpage

    \begin{longtable}[l]{|c|c|l|l|l|l|}
        \hline
        \rowcolor{gray!40}
        && \textbf{Vorname} & \textbf{Nachname} & \textbf{Telefon} & \textbf{Bemerkung}\\
        \hline
        \endhead
        \noalign\bgroup
        \DTLforeach{abreise-privat-betreuende}{%
            \vorname=Vorname,%
            \nachname=Nachname,%
            \telefon=Telefon,%
            \bemerkung=Bemerkung%
        }{%
            \egroup \checkbox & \checkbox & \vorname & \nachname &
            \telefon & \bemerkung\\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{longtable}
\end{document}
